// pages/groupPage/make-money/make-money.js
import httpRequestApi from '../../../utils/APIClient';
import util from '../../../utils/util';
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    organizer: {},
    groupPurchaseInfo: {},
    joinUserList: [],
    surplusList: [],
    timeList: [],
    productId: '',
    orderId: '',
    groupId: '',
    organizerUid: '',
    orderList: {}
  },
  //显示分享页 
  share: function () {
    this.shareDialog = this.selectComponent("#share-dialog");
    const data = {
      avatar: this.data.organizer.avatar,
      author: this.data.organizer.wechatName,
      iconImg: this.data.groupPurchaseInfo.bgImg,
      title: this.data.groupPurchaseInfo.productTitle,
      path: `pages/groupPage/group-details/group-details`,
      scene: `QR${this.data.orderId}`,
      groupPurchaseInfo: this.data.groupPurchaseInfo,
      groupType: this.data.groupOsType
    }
    this.shareDialog.share(data);
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // if (app.globalData.isIOS) {
    //   wx.redirectTo({
    //     url: '../../index/index'
    //   })
    //   return 
    // }
    wx.setNavigationBarTitle({
      title: '小学课文朗读配音'
    })
    console.log(options.id);
    if(!options.id) {
      return false;
    }
    const orderId = options.id;
    const productId = options.productId;
    const groupId = options.groupId;
    this.setData({
      orderId,
      productId,
      groupId
    })
    httpRequestApi.getMygroupInfo(orderId).success( res => {
      console.log('支付详情', res.data.data);
      const groupOrder = res.data.data.groupPurchaseOrder;
      const surplusNum = groupOrder.headcount - groupOrder.joinCount;
      this.setData({
        organizerUid: groupOrder.organizer,
        orderList: res.data.data
      })
      for(var i = 0; i < surplusNum; i++) {
        this.data.surplusList.push(1);
      }
      //时间转换
      const timeList = util.lastHoursInGroup(res.data.data.groupPurchaseOrder.closeTime - res.data.data.currentTime);
      console.log(timeList)
      this.setData({
        groupPurchaseInfo: res.data.data.groupPurchaseInfo,
        organizer: res.data.data.organizer,
        surplusNum,
        joinUserList: res.data.data.joinUserList,
        surplusList: this.data.surplusList,
        timeList,
        productId: res.data.data.groupPurchaseOrder.productId,
        groupId: res.data.data.groupPurchaseOrder.groupId,
        groupOsType: res.data.data.groupPurchaseOrder.os
      })
    }).fail( error => {
      console.log('错误', error)
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {;
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    // if (ops.from === 'button') {
    //   console.log(ops.target)
    // }
    // const productId = this.data.productId;
    // const groupId = this.data.groupId;
    const id = this.data.orderId;
    console.log(id)

    return {
      title: '老师同学都在玩的配音show，你还在等什么？',
      path: `pages/groupPage/group-details/group-details?share=true&shareId=${id}`,
      imageUrl: `https://efunbox.lingjiao.cn/reader/resource/share/lesson_${this.data.productId}.jpg`,
      // success: function (res) {
      //   // 转发成功
      //   console.log("转发成功:" + JSON.stringify(res));
      //   var shareTickets = res.shareTickets;
      //   // if (shareTickets.length == 0) {
      //   //   return false;
      //   // }
      //   // //可以获取群组信息
      //   // wx.getShareInfo({
      //   //   shareTicket: shareTickets[0],
      //   //   success: function (res) {
      //   //     console.log(res)
      //   //   }
      //   // })
      // },
      fail: function (res) {
        // 转发失败
        console.log("转发失败:" + JSON.stringify(res));
      }
    }
  }
})